Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
This bug has been migrated to another issue tracking site. It has been closed here and may no longer be being monitored.

If you would like to get updates for this issue, or to participate in it, you may do so at Red Hat Issue Tracker .
RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1986223 - [RFE] Please turn on SimpleDRM driver
Summary: [RFE] Please turn on SimpleDRM driver
Keywords:
Status: CLOSED MIGRATED
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: kernel
Version: CentOS Stream
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: ---
Assignee: Jocelyn Falempe
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-27 01:05 UTC by Neal Gompa
Modified: 2023-09-11 21:50 UTC (History)
32 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1986222
Environment:
Last Closed: 2023-09-11 21:50:10 UTC
Type: Story
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker   RHEL-3185 0 None Migrated None 2023-09-11 21:50:09 UTC

Description Neal Gompa 2021-07-27 01:05:36 UTC
+++ This bug was initially created as a clone of Bug #1986222 +++

Description of problem:
Linux 5.14 introduces the new SimpleDRM driver as a generic fallback driver that supports KMS. GNOME Wayland does not support non-KMS graphics for rendering, and KDE Plasma's non-KMS (fbdev) rendering mode pretty much does not work. This driver makes it possible for desktop environments to *always* expect KMS to work, even if a native driver isn't available, which makes it simpler to support Wayland.

Please enable SimpleDRM so that it becomes achievable to use Wayland for "basic graphics mode" fallback configurations.

Version-Release number of selected component (if applicable):
5.14.0-0.rc3.29.el9

Additional info:
The lack of this driver led to bug 1952431 happening during Fedora Linux 34's development and I would really like SimpleDRM to be enabled so I can make more progress on solidifying Wayland support and remove hacks to disable Wayland in "basic graphics mode".

Comment 3 Javier Martinez Canillas 2021-12-24 13:03:09 UTC
I've proposed the following merge request to kernel-ark:

https://gitlab.com/cki-project/kernel-ark/-/merge_requests/1533

Comment 9 RHEL Program Management 2023-01-27 07:27:55 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.

Comment 10 Niels De Graef 2023-01-30 10:18:39 UTC
Re-opening since this is just our stale bot being too eager

Comment 13 RHEL Program Management 2023-07-30 07:27:57 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.

Comment 14 Niels De Graef 2023-08-09 09:35:40 UTC
Again, please don't mind our overeager stale bot at times.

Comment 16 Neal Gompa 2023-08-09 13:08:57 UTC
:)

Comment 17 RHEL Program Management 2023-09-11 21:47:27 UTC
Issue migration from Bugzilla to Jira is in process at this time. This will be the last message in Jira copied from the Bugzilla bug.

Comment 18 RHEL Program Management 2023-09-11 21:50:10 UTC
This BZ has been automatically migrated to the issues.redhat.com Red Hat Issue Tracker. All future work related to this report will be managed there.

Due to differences in account names between systems, some fields were not replicated.  Be sure to add yourself to Jira issue's "Watchers" field to continue receiving updates and add others to the "Need Info From" field to continue requesting information.

To find the migrated issue, look in the "Links" section for a direct link to the new issue location. The issue key will have an icon of 2 footprints next to it, and begin with "RHEL-" followed by an integer.  You can also find this issue by visiting https://issues.redhat.com/issues/?jql= and searching the "Bugzilla Bug" field for this BZ's number, e.g. a search like:

"Bugzilla Bug" = 1234567

In the event you have trouble locating or viewing this issue, you can file an issue by sending mail to rh-issues. You can also visit https://access.redhat.com/articles/7032570 for general account information.


Note You need to log in before you can comment on or make changes to this bug.